Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageImport Class Reference

`#include <vtkImageImport.h>`

Inheritance diagram for vtkImageImport:

[legend]
Collaboration diagram for vtkImageImport:

[legend]
List of all members.

## Detailed Description

Import data from a C array.

Date:
  2002/12/11 14:26:22

Revision:
  1.36

vtkImageImport provides methods needed to import image data from a source independent of VTK, such as a simple C array or a third-party pipeline. Note that the VTK convention is for the image voxel index (0,0,0) to be the lower-left corner of the image, while most 2D image formats use the upper-left corner. You can use vtkImageFlip to correct the orientation after the image has been loaded into VTK. Note that is also possible to import the raw data from a Python string instead of from a C array.

See also:
  vtkImageExport

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (34%)
  - King, Brad (24%)
  - Gobbi, David (23%)
  - Martin, Ken (12%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageImport.h)`
  - .`cxx` (`/Imaging/vtkImageImport.cxx)`

Tests:
  vtkImageImport (Tests)

Definition at line 56 of file vtkImageImport.h.

## Public Types
typedef vtkImageSource | Superclass
typedef void(* | UpdateInformationCallbackType )(void *)
typedef int(* | PipelineModifiedCallbackType )(void *)
typedef int *(* | WholeExtentCallbackType )(void *)
typedef float *(* | SpacingCallbackType )(void *)
typedef float *(* | OriginCallbackType )(void *)
typedef const char *(* | ScalarTypeCallbackType )(void *)
typedef int(* | NumberOfComponentsCallbackType )(void *)
typedef void(* | PropagateUpdateExtentCallbackType )(void *, int *)
typedef void(* | UpdateDataCallbackType )(void *)
typedef int *(* | DataExtentCallbackType )(void *)
typedef void *(* | BufferPointerCallbackType )(void *)
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | CopyImportVoidPointer (void *ptr, int size)
void | SetImportVoidPointer (void *ptr, int save)
virtual void | PropagateUpdateExtent (vtkDataObject *output)
void | SetImportVoidPointer (void *ptr)
void * | GetImportVoidPointer ()
virtual void | SetDataScalarType (int)
void | SetDataScalarTypeToDouble ()
void | SetDataScalarTypeToFloat ()
void | SetDataScalarTypeToInt ()
void | SetDataScalarTypeToShort ()
void | SetDataScalarTypeToUnsignedShort ()
void | SetDataScalarTypeToUnsignedChar ()
virtual int | GetDataScalarType ()
const char * | GetDataScalarTypeAsString ()
virtual void | SetNumberOfScalarComponents (int)
virtual int | GetNumberOfScalarComponents ()
virtual void | SetDataExtent (int, int, int, int, int, int)
virtual void | SetDataExtent (int[6])
virtual int * | GetDataExtent ()
virtual void | GetDataExtent (int &, int &, int &, int &, int &, int &)
virtual void | GetDataExtent (int[6])
void | SetDataExtentToWholeExtent ()
virtual void | SetDataSpacing (float, float, float)
virtual void | SetDataSpacing (float[3])
virtual float * | GetDataSpacing ()
virtual void | GetDataSpacing (float &, float &, float &)
virtual void | GetDataSpacing (float[3])
virtual void | SetDataOrigin (float, float, float)
virtual void | SetDataOrigin (float[3])
virtual float * | GetDataOrigin ()
virtual void | GetDataOrigin (float &, float &, float &)
virtual void | GetDataOrigin (float[3])
virtual void | SetWholeExtent (int, int, int, int, int, int)
virtual void | SetWholeExtent (int[6])
virtual int * | GetWholeExtent ()
virtual void | GetWholeExtent (int &, int &, int &, int &, int &, int &)
virtual void | GetWholeExtent (int[6])
virtual void | SetUpdateInformationCallback (UpdateInformationCallbackType)
virtual UpdateInformationCallbackType | GetUpdateInformationCallback ()
virtual void | SetPipelineModifiedCallback (PipelineModifiedCallbackType)
virtual PipelineModifiedCallbackType | GetPipelineModifiedCallback ()
virtual void | SetWholeExtentCallback (WholeExtentCallbackType)
virtual WholeExtentCallbackType | GetWholeExtentCallback ()
virtual void | SetSpacingCallback (SpacingCallbackType)
virtual SpacingCallbackType | GetSpacingCallback ()
virtual void | SetOriginCallback (OriginCallbackType)
virtual OriginCallbackType | GetOriginCallback ()
virtual void | SetScalarTypeCallback (ScalarTypeCallbackType)
virtual ScalarTypeCallbackType | GetScalarTypeCallback ()
virtual void | SetNumberOfComponentsCallback (NumberOfComponentsCallbackType)
virtual NumberOfComponentsCallbackType | GetNumberOfComponentsCallback ()
virtual void | SetPropagateUpdateExtentCallback (PropagateUpdateExtentCallbackType)
virtual PropagateUpdateExtentCallbackType | GetPropagateUpdateExtentCallback ()
virtual void | SetUpdateDataCallback (UpdateDataCallbackType)
virtual UpdateDataCallbackType | GetUpdateDataCallback ()
virtual void | SetDataExtentCallback (DataExtentCallbackType)
virtual DataExtentCallbackType | GetDataExtentCallback ()
virtual void | SetBufferPointerCallback (BufferPointerCallbackType)
virtual BufferPointerCallbackType | GetBufferPointerCallback ()
virtual void | SetCallbackUserData (void *)
virtual void * | GetCallbackUserData ()
## Static Public Methods
vtkImageImport * | New ()
int | IsTypeOf (const char *type)
vtkImageImport * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageImport ()
| ~vtkImageImport ()
virtual void | UpdateInformation ()
virtual void | ExecuteInformation ()
void | InvokeUpdateInformationCallbacks ()
void | InvokeExecuteInformationCallbacks ()
void | InvokeExecuteDataCallbacks ()
void | LegacyCheckWholeExtent ()
virtual void | ExecuteData (vtkDataObject *d)
## Protected Attributes
void * | ImportVoidPointer
int | SaveUserArray
int | NumberOfScalarComponents
int | DataScalarType
int | WholeExtent [6]
int | DataExtent [6]
float | DataSpacing [3]
float | DataOrigin [3]
void * | CallbackUserData
UpdateInformationCallbackType | UpdateInformationCallback
PipelineModifiedCallbackType | PipelineModifiedCallback
WholeExtentCallbackType | WholeExtentCallback
SpacingCallbackType | SpacingCallback
OriginCallbackType | OriginCallback
ScalarTypeCallbackType | ScalarTypeCallback
NumberOfComponentsCallbackType | NumberOfComponentsCallback
PropagateUpdateExtentCallbackType | PropagateUpdateExtentCallback
UpdateDataCallbackType | UpdateDataCallback
DataExtentCallbackType | DataExtentCallback
BufferPointerCallbackType | BufferPointerCallback

## Member Typedef Documentation

typedef vtkImageSource vtkImageImport::Superclass

| Reimplemented from vtkImageSource. Definition at line 60 of file vtkImageImport.h.

typedef void(* vtkImageImport::UpdateInformationCallbackType)(void*)

| These are function pointer types for the pipeline connection callbacks. See furhter documentation on each individual callback. Definition at line 148 of file vtkImageImport.h.

typedef int(* vtkImageImport::PipelineModifiedCallbackType)(void*)

| These are function pointer types for the pipeline connection callbacks. See furhter documentation on each individual callback. Definition at line 149 of file vtkImageImport.h.

typedef int*(* vtkImageImport::WholeExtentCallbackType)(void*)

| These are function pointer types for the pipeline connection callbacks. See furhter documentation on each individual callback. Definition at line 150 of file vtkImageImport.h.

typedef float*(* vtkImageImport::SpacingCallbackType)(void*)

| These are function pointer types for the pipeline connection callbacks. See furhter documentation on each individual callback. Definition at line 151 of file vtkImageImport.h.

typedef float*(* vtkImageImport::OriginCallbackType)(void*)

| These are function pointer types for the pipeline connection callbacks. See furhter documentation on each individual callback. Definition at line 152 of file vtkImageImport.h.

typedef const char*(* vtkImageImport::ScalarTypeCallbackType)(void*)

| These are function pointer types for the pipeline connection callbacks. See furhter documentation on each individual callback. Definition at line 153 of file vtkImageImport.h.

typedef int(* vtkImageImport::NumberOfComponentsCallbackType)(void*)

| These are function pointer types for the pipeline connection callbacks. See furhter documentation on each individual callback. Definition at line 154 of file vtkImageImport.h.

typedef void(* vtkImageImport::PropagateUpdateExtentCallbackType)(void*, int*)

| These are function pointer types for the pipeline connection callbacks. See furhter documentation on each individual callback. Definition at line 155 of file vtkImageImport.h.

typedef void(* vtkImageImport::UpdateDataCallbackType)(void*)

| These are function pointer types for the pipeline connection callbacks. See furhter documentation on each individual callback. Definition at line 156 of file vtkImageImport.h.

typedef int*(* vtkImageImport::DataExtentCallbackType)(void*)

| These are function pointer types for the pipeline connection callbacks. See furhter documentation on each individual callback. Definition at line 157 of file vtkImageImport.h.

typedef void*(* vtkImageImport::BufferPointerCallbackType)(void*)

| These are function pointer types for the pipeline connection callbacks. See furhter documentation on each individual callback. Definition at line 158 of file vtkImageImport.h.

## Constructor & Destructor Documentation

vtkImageImport::vtkImageImport | ( |  | ) | `[protected]`

vtkImageImport::~vtkImageImport | ( |  | ) | `[protected]`

## Member Function Documentation

vtkImageImport* vtkImageImport::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageImport::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageSource.

int vtkImageImport::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource.

virtual int vtkImageImport::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource.

vtkImageImport* vtkImageImport::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageSource.

void vtkImageImport::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageSource.

void vtkImageImport::CopyImportVoidPointer | ( | void * | ptr,
|  | int | size
| ) |

| Import data and make an internal copy of it. If you do not want VTK to copy the data, then use SetImportVoidPointer instead (do not use both). Give the size of the data array in bytes.

void vtkImageImport::SetImportVoidPointer | ( | void * | ptr | ) |

| Set the pointer from which the image data is imported. VTK will not make its own copy of the data, it will access the data directly from the supplied array. VTK will not attempt to delete the data nor modify the data.

void* vtkImageImport::GetImportVoidPointer | ( |  | ) | `[inline]`

| Set the pointer from which the image data is imported. VTK will not make its own copy of the data, it will access the data directly from the supplied array. VTK will not attempt to delete the data nor modify the data. Definition at line 74 of file vtkImageImport.h.

void vtkImageImport::SetImportVoidPointer | ( | void * | ptr,
|  | int | save
| ) |

| Set the pointer from which the image data is imported. Set save to 1 (the default) unless you want VTK to delete the array via C++ delete when the vtkImageImport object is deallocated. VTK will not make its own copy of the data, it will access the data directly from the supplied array.

virtual void vtkImageImport::SetDataScalarType | ( | int |  | ) | `[virtual]`

| Set/Get the data type of pixels in the imported data. This is used as the scalar type of the Output. Default: Short.

void vtkImageImport::SetDataScalarTypeToDouble | ( |  | ) | `[inline]`

| Set/Get the data type of pixels in the imported data. This is used as the scalar type of the Output. Default: Short. Definition at line 88 of file vtkImageImport.h. References VTK_DOUBLE.

void vtkImageImport::SetDataScalarTypeToFloat | ( |  | ) | `[inline]`

| Set/Get the data type of pixels in the imported data. This is used as the scalar type of the Output. Default: Short. Definition at line 89 of file vtkImageImport.h. References VTK_FLOAT.

void vtkImageImport::SetDataScalarTypeToInt | ( |  | ) | `[inline]`

| Set/Get the data type of pixels in the imported data. This is used as the scalar type of the Output. Default: Short. Definition at line 90 of file vtkImageImport.h. References VTK_INT.

void vtkImageImport::SetDataScalarTypeToShort | ( |  | ) | `[inline]`

| Set/Get the data type of pixels in the imported data. This is used as the scalar type of the Output. Default: Short. Definition at line 91 of file vtkImageImport.h. References VTK_SHORT.

void vtkImageImport::SetDataScalarTypeToUnsignedShort | ( |  | ) | `[inline]`

| Set/Get the data type of pixels in the imported data. This is used as the scalar type of the Output. Default: Short. Definition at line 92 of file vtkImageImport.h. References VTK_UNSIGNED_SHORT.

void vtkImageImport::SetDataScalarTypeToUnsignedChar | ( |  | ) | `[inline]`

| Set/Get the data type of pixels in the imported data. This is used as the scalar type of the Output. Default: Short. Definition at line 94 of file vtkImageImport.h. References VTK_UNSIGNED_CHAR.

virtual int vtkImageImport::GetDataScalarType | ( |  | ) | `[virtual]`

| Set/Get the data type of pixels in the imported data. This is used as the scalar type of the Output. Default: Short.

const char* vtkImageImport::GetDataScalarTypeAsString | ( |  | ) | `[inline]`

| Set/Get the data type of pixels in the imported data. This is used as the scalar type of the Output. Default: Short. Definition at line 97 of file vtkImageImport.h.

virtual void vtkImageImport::SetNumberOfScalarComponents | ( | int |  | ) | `[virtual]`

| Set/Get the number of scalar components, for RGB images this must be 3. Default: 1.

virtual int vtkImageImport::GetNumberOfScalarComponents | ( |  | ) | `[virtual]`

| Set/Get the number of scalar components, for RGB images this must be 3. Default: 1.

virtual void vtkImageImport::SetDataExtent | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| Get/Set the extent of the data buffer. The dimensions of your data must be equal to (extent[1]-extent[0]+1) * (extent[3]-extent[2]+1) * (extent[5]-DataExtent[4]+1). For example, for a 2D image use (0,width-1, 0,height-1, 0,0).

virtual void vtkImageImport::SetDataExtent | ( | int | [6] | ) | `[virtual]`

| Get/Set the extent of the data buffer. The dimensions of your data must be equal to (extent[1]-extent[0]+1) * (extent[3]-extent[2]+1) * (extent[5]-DataExtent[4]+1). For example, for a 2D image use (0,width-1, 0,height-1, 0,0).

virtual int* vtkImageImport::GetDataExtent | ( |  | ) | `[virtual]`

| Get/Set the extent of the data buffer. The dimensions of your data must be equal to (extent[1]-extent[0]+1) * (extent[3]-extent[2]+1) * (extent[5]-DataExtent[4]+1). For example, for a 2D image use (0,width-1, 0,height-1, 0,0).

virtual void vtkImageImport::GetDataExtent | ( | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & |
| ) | `[virtual]`

| Get/Set the extent of the data buffer. The dimensions of your data must be equal to (extent[1]-extent[0]+1) * (extent[3]-extent[2]+1) * (extent[5]-DataExtent[4]+1). For example, for a 2D image use (0,width-1, 0,height-1, 0,0).

virtual void vtkImageImport::GetDataExtent | ( | int | [6] | ) | `[virtual]`

| Get/Set the extent of the data buffer. The dimensions of your data must be equal to (extent[1]-extent[0]+1) * (extent[3]-extent[2]+1) * (extent[5]-DataExtent[4]+1). For example, for a 2D image use (0,width-1, 0,height-1, 0,0).

void vtkImageImport::SetDataExtentToWholeExtent | ( |  | ) | `[inline]`

| Get/Set the extent of the data buffer. The dimensions of your data must be equal to (extent[1]-extent[0]+1) * (extent[3]-extent[2]+1) * (extent[5]-DataExtent[4]+1). For example, for a 2D image use (0,width-1, 0,height-1, 0,0). Definition at line 115 of file vtkImageImport.h.

virtual void vtkImageImport::SetDataSpacing | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set/Get the spacing (typically in mm) between image voxels. Default: (1.0, 1.0, 1.0).

virtual void vtkImageImport::SetDataSpacing | ( | float | [3] | ) | `[virtual]`

| Set/Get the spacing (typically in mm) between image voxels. Default: (1.0, 1.0, 1.0).

virtual float* vtkImageImport::GetDataSpacing | ( |  | ) | `[virtual]`

| Set/Get the spacing (typically in mm) between image voxels. Default: (1.0, 1.0, 1.0).

virtual void vtkImageImport::GetDataSpacing | ( | float & | ,
|  | float & | ,
|  | float & |
| ) | `[virtual]`

| Set/Get the spacing (typically in mm) between image voxels. Default: (1.0, 1.0, 1.0).

virtual void vtkImageImport::GetDataSpacing | ( | float | [3] | ) | `[virtual]`

| Set/Get the spacing (typically in mm) between image voxels. Default: (1.0, 1.0, 1.0).

virtual void vtkImageImport::SetDataOrigin | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set/Get the origin of the data, i.e. the coordinates (usually in mm) of voxel (0,0,0). Default: (0.0, 0.0, 0.0).

virtual void vtkImageImport::SetDataOrigin | ( | float | [3] | ) | `[virtual]`

| Set/Get the origin of the data, i.e. the coordinates (usually in mm) of voxel (0,0,0). Default: (0.0, 0.0, 0.0).

virtual float* vtkImageImport::GetDataOrigin | ( |  | ) | `[virtual]`

| Set/Get the origin of the data, i.e. the coordinates (usually in mm) of voxel (0,0,0). Default: (0.0, 0.0, 0.0).

virtual void vtkImageImport::GetDataOrigin | ( | float & | ,
|  | float & | ,
|  | float & |
| ) | `[virtual]`

| Set/Get the origin of the data, i.e. the coordinates (usually in mm) of voxel (0,0,0). Default: (0.0, 0.0, 0.0).

virtual void vtkImageImport::GetDataOrigin | ( | float | [3] | ) | `[virtual]`

| Set/Get the origin of the data, i.e. the coordinates (usually in mm) of voxel (0,0,0). Default: (0.0, 0.0, 0.0).

virtual void vtkImageImport::SetWholeExtent | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| Get/Set the whole extent of the image. This is the largest possible extent. Set the DataExtent to the extent of the image in the buffer pointed to by the ImportVoidPointer.

virtual void vtkImageImport::SetWholeExtent | ( | int | [6] | ) | `[virtual]`

| Get/Set the whole extent of the image. This is the largest possible extent. Set the DataExtent to the extent of the image in the buffer pointed to by the ImportVoidPointer.

virtual int* vtkImageImport::GetWholeExtent | ( |  | ) | `[virtual]`

| Get/Set the whole extent of the image. This is the largest possible extent. Set the DataExtent to the extent of the image in the buffer pointed to by the ImportVoidPointer.

virtual void vtkImageImport::GetWholeExtent | ( | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & |
| ) | `[virtual]`

| Get/Set the whole extent of the image. This is the largest possible extent. Set the DataExtent to the extent of the image in the buffer pointed to by the ImportVoidPointer.

virtual void vtkImageImport::GetWholeExtent | ( | int | [6] | ) | `[virtual]`

| Get/Set the whole extent of the image. This is the largest possible extent. Set the DataExtent to the extent of the image in the buffer pointed to by the ImportVoidPointer.

virtual void vtkImageImport::PropagateUpdateExtent | ( | vtkDataObject * | output | ) | `[virtual]`

| Propagates the update extent through the callback if it is set. Reimplemented from vtkSource.

virtual void vtkImageImport::SetUpdateInformationCallback | ( | UpdateInformationCallbackType |  | ) | `[virtual]`

| Set/Get the callback for propagating UpdateInformation calls to a third-party pipeline. The callback should make sure that the third-party pipeline information is up to date.

virtual UpdateInformationCallbackType vtkImageImport::GetUpdateInformationCallback | ( |  | ) | `[virtual]`

| Set/Get the callback for propagating UpdateInformation calls to a third-party pipeline. The callback should make sure that the third-party pipeline information is up to date.

virtual void vtkImageImport::SetPipelineModifiedCallback | ( | PipelineModifiedCallbackType |  | ) | `[virtual]`

| Set/Get the callback for checking whether the third-party pipeline has been modified since the last invocation of the callback. The callback should return 1 for modified, and 0 for not modified. The first call should always return modified.

virtual PipelineModifiedCallbackType vtkImageImport::GetPipelineModifiedCallback | ( |  | ) | `[virtual]`

| Set/Get the callback for checking whether the third-party pipeline has been modified since the last invocation of the callback. The callback should return 1 for modified, and 0 for not modified. The first call should always return modified.

virtual void vtkImageImport::SetWholeExtentCallback | ( | WholeExtentCallbackType |  | ) | `[virtual]`

| Set/Get the callback for getting the whole extent of the input image from a third-party pipeline. The callback should return a vector of six integers describing the extent of the whole image (x1 x2 y1 y2 z1 z2).

virtual WholeExtentCallbackType vtkImageImport::GetWholeExtentCallback | ( |  | ) | `[virtual]`

| Set/Get the callback for getting the whole extent of the input image from a third-party pipeline. The callback should return a vector of six integers describing the extent of the whole image (x1 x2 y1 y2 z1 z2).

virtual void vtkImageImport::SetSpacingCallback | ( | SpacingCallbackType |  | ) | `[virtual]`

| Set/Get the callback for getting the spacing of the input image from a third-party pipeline. The callback should return a vector of three float values describing the spacing (dx dy dz).

virtual SpacingCallbackType vtkImageImport::GetSpacingCallback | ( |  | ) | `[virtual]`

| Set/Get the callback for getting the spacing of the input image from a third-party pipeline. The callback should return a vector of three float values describing the spacing (dx dy dz).

virtual void vtkImageImport::SetOriginCallback | ( | OriginCallbackType |  | ) | `[virtual]`

| Set/Get the callback for getting the origin of the input image from a third-party pipeline. The callback should return a vector of three float values describing the origin (x0 y0 z0).

virtual OriginCallbackType vtkImageImport::GetOriginCallback | ( |  | ) | `[virtual]`

| Set/Get the callback for getting the origin of the input image from a third-party pipeline. The callback should return a vector of three float values describing the origin (x0 y0 z0).

virtual void vtkImageImport::SetScalarTypeCallback | ( | ScalarTypeCallbackType |  | ) | `[virtual]`

| Set/Get the callback for getting the scalar value type of the input image from a third-party pipeline. The callback should return a string with the name of the type.

virtual ScalarTypeCallbackType vtkImageImport::GetScalarTypeCallback | ( |  | ) | `[virtual]`

| Set/Get the callback for getting the scalar value type of the input image from a third-party pipeline. The callback should return a string with the name of the type.

virtual void vtkImageImport::SetNumberOfComponentsCallback | ( | NumberOfComponentsCallbackType |  | ) | `[virtual]`

| Set/Get the callback for getting the number of components of the input image from a third-party pipeline. The callback should return an integer with the number of components.

virtual NumberOfComponentsCallbackType vtkImageImport::GetNumberOfComponentsCallback | ( |  | ) | `[virtual]`

| Set/Get the callback for getting the number of components of the input image from a third-party pipeline. The callback should return an integer with the number of components.

virtual void vtkImageImport::SetPropagateUpdateExtentCallback | ( | PropagateUpdateExtentCallbackType |  | ) | `[virtual]`

| Set/Get the callback for propagating the pipeline update extent to a third-party pipeline. The callback should take a vector of six integers describing the extent. This should cause the third-party pipeline to provide data which contains at least this extent after the next UpdateData callback.

virtual PropagateUpdateExtentCallbackType vtkImageImport::GetPropagateUpdateExtentCallback | ( |  | ) | `[virtual]`

| Set/Get the callback for propagating the pipeline update extent to a third-party pipeline. The callback should take a vector of six integers describing the extent. This should cause the third-party pipeline to provide data which contains at least this extent after the next UpdateData callback.

virtual void vtkImageImport::SetUpdateDataCallback | ( | UpdateDataCallbackType |  | ) | `[virtual]`

| Set/Get the callback for propagating UpdateData calls to a third-party pipeline. The callback should make sure the third-party pipeline is up to date.

virtual UpdateDataCallbackType vtkImageImport::GetUpdateDataCallback | ( |  | ) | `[virtual]`

| Set/Get the callback for propagating UpdateData calls to a third-party pipeline. The callback should make sure the third-party pipeline is up to date.

virtual void vtkImageImport::SetDataExtentCallback | ( | DataExtentCallbackType |  | ) | `[virtual]`

| Set/Get the callback for getting the data extent of the input image from a third-party pipeline. The callback should return a vector of six integers describing the extent of the buffered portion of the image (x1 x2 y1 y2 z1 z2). The buffer location should be set with the BufferPointerCallback.

virtual DataExtentCallbackType vtkImageImport::GetDataExtentCallback | ( |  | ) | `[virtual]`

| Set/Get the callback for getting the data extent of the input image from a third-party pipeline. The callback should return a vector of six integers describing the extent of the buffered portion of the image (x1 x2 y1 y2 z1 z2). The buffer location should be set with the BufferPointerCallback.

virtual void vtkImageImport::SetBufferPointerCallback | ( | BufferPointerCallbackType |  | ) | `[virtual]`

| Set/Get the callback for getting a pointer to the data buffer of an image from a third-party pipeline. The callback should return a pointer to the beginning of the buffer. The extent of the buffer should be set with the DataExtentCallback.

virtual BufferPointerCallbackType vtkImageImport::GetBufferPointerCallback | ( |  | ) | `[virtual]`

| Set/Get the callback for getting a pointer to the data buffer of an image from a third-party pipeline. The callback should return a pointer to the beginning of the buffer. The extent of the buffer should be set with the DataExtentCallback.

virtual void vtkImageImport::SetCallbackUserData | ( | void * |  | ) | `[virtual]`

| Set/Get the user data which will be passed as the first argument to all of the third-party pipeline callbacks.

virtual void* vtkImageImport::GetCallbackUserData | ( |  | ) | `[virtual]`

| Set/Get the user data which will be passed as the first argument to all of the third-party pipeline callbacks.

virtual void vtkImageImport::UpdateInformation | ( |  | ) | `[protected, virtual]`

| Updates any global information about the data (like spacing for images) Reimplemented from vtkSource.

virtual void vtkImageImport::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

void vtkImageImport::InvokeUpdateInformationCallbacks | ( |  | ) | `[protected]`

void vtkImageImport::InvokeExecuteInformationCallbacks | ( |  | ) | `[protected]`

void vtkImageImport::InvokeExecuteDataCallbacks | ( |  | ) | `[protected]`

void vtkImageImport::LegacyCheckWholeExtent | ( |  | ) | `[protected]`

virtual void vtkImageImport::ExecuteData | ( | vtkDataObject * | d | ) | `[protected, virtual]`

## Member Data Documentation

void* vtkImageImport::ImportVoidPointer`[protected]`

| Definition at line 277 of file vtkImageImport.h.

int vtkImageImport::SaveUserArray`[protected]`

| Definition at line 278 of file vtkImageImport.h.

int vtkImageImport::NumberOfScalarComponents`[protected]`

| Definition at line 280 of file vtkImageImport.h.

int vtkImageImport::DataScalarType`[protected]`

| Definition at line 281 of file vtkImageImport.h.

int vtkImageImport::WholeExtent[6]`[protected]`

| Definition at line 283 of file vtkImageImport.h.

int vtkImageImport::DataExtent[6]`[protected]`

| Definition at line 284 of file vtkImageImport.h.

float vtkImageImport::DataSpacing[3]`[protected]`

| Definition at line 285 of file vtkImageImport.h.

float vtkImageImport::DataOrigin[3]`[protected]`

| Definition at line 286 of file vtkImageImport.h.

void* vtkImageImport::CallbackUserData`[protected]`

| Definition at line 288 of file vtkImageImport.h.

UpdateInformationCallbackType vtkImageImport::UpdateInformationCallback`[protected]`

| Definition at line 291 of file vtkImageImport.h.

PipelineModifiedCallbackType vtkImageImport::PipelineModifiedCallback`[protected]`

| Definition at line 292 of file vtkImageImport.h.

WholeExtentCallbackType vtkImageImport::WholeExtentCallback`[protected]`

| Definition at line 293 of file vtkImageImport.h.

SpacingCallbackType vtkImageImport::SpacingCallback`[protected]`

| Definition at line 294 of file vtkImageImport.h.

OriginCallbackType vtkImageImport::OriginCallback`[protected]`

| Definition at line 295 of file vtkImageImport.h.

ScalarTypeCallbackType vtkImageImport::ScalarTypeCallback`[protected]`

| Definition at line 296 of file vtkImageImport.h.

NumberOfComponentsCallbackType vtkImageImport::NumberOfComponentsCallback`[protected]`

| Definition at line 297 of file vtkImageImport.h.

PropagateUpdateExtentCallbackType vtkImageImport::PropagateUpdateExtentCallback`[protected]`

| Definition at line 298 of file vtkImageImport.h.

UpdateDataCallbackType vtkImageImport::UpdateDataCallback`[protected]`

| Definition at line 299 of file vtkImageImport.h.

DataExtentCallbackType vtkImageImport::DataExtentCallback`[protected]`

| Definition at line 300 of file vtkImageImport.h.

BufferPointerCallbackType vtkImageImport::BufferPointerCallback`[protected]`

| Definition at line 301 of file vtkImageImport.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageImport.h